Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.tx
Class ResourceManagerFactory

    java.lang.Object
      org.jboss.jms.tx.ResourceManagerFactory

public class ResourceManagerFactory
extends java.lang.Object

This class manages instances of ResourceManager. It ensures there is one instance per instance of JMS server as specified by the server id. This allows different JMS connections to the same JMS server (the underlying resource is the JMS server) to use the same resource manager. This means isSameRM() on XAResource returns true, allowing the Transaction manager to join work in one tx to another thus allowing 1PC optimization which should help performance.

Version:
  $Revision: 1.5 $ $Id: ResourceManagerFactory.java,v 1.5 2006/04/21 12:41:13 timfox Exp $
Author:
  Tim Fox

Field Summary
`static ResourceManagerFactory` | `instance`

Method Summary
`boolean` | `containsResourceManager(java.lang.String serverID)`
`ResourceManager` | `getResourceManager(java.lang.String serverID)`
`void` | `returnResourceManager(java.lang.String serverID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static ResourceManagerFactory instance

Method Detail

### containsResourceManager

    public boolean containsResourceManager(java.lang.String serverID)

### getResourceManager

    public ResourceManager getResourceManager(java.lang.String serverID)

  Parameters:
    `serverID` - - server peer ID.

### returnResourceManager

    public void returnResourceManager(java.lang.String serverID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.